summaryrefslogtreecommitdiffstats
path: root/pad/templates/etherpad.init.d
diff options
context:
space:
mode:
authorSacha Chua <sacha@sachachua.com>2022-10-11 20:40:32 -0400
committerSacha Chua <sacha@sachachua.com>2022-10-11 20:41:07 -0400
commit8e290130b47b7f3b9d442c8d6531218eb2f09867 (patch)
treec8fab9bc27ab3f447524939ea8b2940b6080fba1 /pad/templates/etherpad.init.d
parent6d1743c83e239806b1b6fb635e184a59a5f28f5a (diff)
downloademacsconf-ansible-8e290130b47b7f3b9d442c8d6531218eb2f09867.tar.xz
emacsconf-ansible-8e290130b47b7f3b9d442c8d6531218eb2f09867.zip
Yay, pads are created based on the talks.json file
Also, the playbook waits until the pad is up
Diffstat (limited to '')
-rwxr-xr-xpad/templates/etherpad.init.d79
1 files changed, 79 insertions, 0 deletions
diff --git a/pad/templates/etherpad.init.d b/pad/templates/etherpad.init.d
new file mode 100755
index 0000000..420ae27
--- /dev/null
+++ b/pad/templates/etherpad.init.d
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+### BEGIN INIT INFO
+# Provides: etherpad-lite
+# Required-Start: $local_fs $remote_fs $network $syslog
+# Required-Stop: $local_fs $remote_fs $network $syslog
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: starts etherpad lite
+# Description: starts etherpad lite using start-stop-daemon
+### END INIT INFO
+
+PATH="/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin"
+LOGFILE="{{ etherpad_path }}/etherpad-lite.log"
+EPLITE_DIR="{{ etherpad_path }}"
+EPLITE_BIN="src/bin/safeRun.sh"
+USER="{{ etherpad_user }}"
+GROUP="{{ etherpad_group }}"
+DESC="Etherpad Lite"
+NAME="etherpad"
+
+set -e
+
+. /lib/lsb/init-functions
+
+start() {
+ echo "Starting $DESC... "
+
+ start-stop-daemon --start --chuid "$USER:$GROUP" -d $EPLITE_DIR --background --make-pidfile --pidfile /var/run/$NAME.pid --exec $EPLITE_DIR/$EPLITE_BIN -- $LOGFILE || true
+ echo "done"
+}
+
+#We need this function to ensure the whole process tree will be killed
+killtree() {
+ local _pid=$1
+ local _sig=${2-TERM}
+ for _child in $(ps -o pid --no-headers --ppid ${_pid}); do
+ killtree ${_child} ${_sig}
+ done
+ kill -${_sig} ${_pid}
+}
+
+stop() {
+ echo "Stopping $DESC... "
+ if test -f /var/run/$NAME.pid; then
+ while test -d /proc/$(cat /var/run/$NAME.pid); do
+ killtree $(cat /var/run/$NAME.pid) 15
+ sleep 0.5
+ done
+ rm /var/run/$NAME.pid
+ fi
+ echo "done"
+}
+
+status() {
+ status_of_proc -p /var/run/$NAME.pid "" "etherpad-lite" && exit 0 || exit $?
+}
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart)
+ stop
+ start
+ ;;
+ status)
+ status
+ ;;
+ *)
+ echo "Usage: $NAME {start|stop|restart|status}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0 \ No newline at end of file